Package com.xebialabs.xlrelease.api.v1.forms

## Enum TimeFrame

- java.lang.Object
- - java.lang.Enum<TimeFrame>
  - - com.xebialabs.xlrelease.api.v1.forms.TimeFrame

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TimeFrame>`

      public enum TimeFrame
      extends java.lang.Enum<TimeFrame>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LAST_MONTH` |
    `LAST_SEVEN_DAYS` |
    `LAST_SIX_MONTHS` |
    `LAST_THREE_MONTHS` |
    `LAST_YEAR` |
    `RANGE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_TIME_FRAME` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract long` | `getEndDate​(java.util.Date to)` |
    `abstract long` | `getStartDate​(java.util.Date from)` |
    `static TimeFrame` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TimeFrame[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAST_SEVEN_DAYS

          public static final TimeFrame LAST_SEVEN_DAYS

    - #### LAST_MONTH

          public static final TimeFrame LAST_MONTH

    - #### LAST_THREE_MONTHS

          public static final TimeFrame LAST_THREE_MONTHS

    - #### LAST_SIX_MONTHS

          public static final TimeFrame LAST_SIX_MONTHS

    - #### LAST_YEAR

          public static final TimeFrame LAST_YEAR

    - #### RANGE

          public static final TimeFrame RANGE

  - ### Field Detail

    - #### DEFAULT_TIME_FRAME

          public static final java.lang.String DEFAULT_TIME_FRAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static TimeFrame[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeFrame c : TimeFrame.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeFrame valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStartDate

          public abstract long getStartDate​(java.util.Date from)

    - #### getEndDate

          public abstract long getEndDate​(java.util.Date to)